%global pkgvers 1
%global scdate0 20200411
%global schash0 41f30143075ece3fff5c33a332ed067d1837cbb3
%global branch0 master
%global source0 https://github.com/enjoy-digital/litevideo.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           litex-litevideo
Version:        2020.08
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        A small footprint and configurable video cores
License:        BSD
BuildArch:      noarch

URL:            https://github.com/enjoy-digital/litevideo

BuildRequires:  git python3-devel python3-setuptools

Requires:       %{name}-python3 = %{version}-%{release}

%description
LiteVideo provides small footprint and configurable video cores.


%package        python3
Summary:        %{summary}
Requires:       litex-python3
Provides:       litevideo

%description    python3
LiteVideo provides small footprint and configurable video cores.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%{py3_build}


%install
%{py3_install}


%files python3
%doc README.md
%license LICENSE
%{python3_sitelib}/*


%changelog
* Thu Nov 18 2021 Cristian Balint <cristian.balint@gmail.com>
- initial release
